## libtrace3 3.0.10

=== debian/changelog ===
libtrace3 (3.0.10-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:42:38 +0100

libtrace3 (3.0.10-1) unstable; urgency=low

  * New upstream release
    - Improved event API performance.
    - Bugfixes for Linux SLL Handling.
  * Don't ship .la files. (Closes: #622428)
  * Update Standards-Version to 3.9.2 (no changes required).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Backport upstream commit 1701 to fix shlibdeps. (Closes: 558927)

 -- Matt Brown <mattb@debian.org>  Sun, 08 May 2011 15:41:45 +0100

libtrace3 (3.0.8-1) unstable; urgency=low

  * New upstream release
  * Fix missing build dependencies. (Closes: #608589)

 -- Matt Brown <mattb@debian.org>  Sat, 15 Jan 2011 17:08:01 +0000

libtrace3 (3.0.7-1) unstable; urgency=low

  * New upstream release
    - Improved IO subsystem performance
    - Many, many bugfixes and improvements
    - Full details at http://wand.net.nz/trac/libtrace/wiki/ChangeLog
  * Add missing ${misc:Depends} Depends for libtrace3-dev and
    libpacketdump3-dev
  * Update Standards-Version to 3.9.1 (no changes required).

 -- Matt Brown <mattb@debian.org>  Sat, 07 Aug 2010 16:37:12 +0100

libtrace3 (3.0.6-1) unstable; urgency=low

  * New upstream release
     - extra stblib.h includes. (Closes: #521985)
  * Reworked debian/rules and autotools handling per the recommendations in
    the autotools-dev package to assist porters. (Closes: #529463)

 -- Matt Brown <mattb@debian.org>  Wed, 27 May 2009 00:31:54 +0100

libtrace3 (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Split libpacketdump out into it's own library.
  * Update Standards-Version to 3.7.3 (no changes required).

 -- Matt Brown <mattb@debian.org>  Sun, 20 Jan 2008 01:16:13 +0000

libtrace3 (3.0.3-1) unstable; urgency=low

  * New upstream release
  * tracedump renamed to tracepktdump to avoid conflicting with ltt-vizualizer
    (Closes: #414999)

 -- Matt Brown <mattb@debian.org>  Sat, 29 Sep 2007 19:44:14 +0100

libtrace3 (3.0.0-2) unstable; urgency=low

  * Move /usr/lib/libpacketdump/*.{a,la} to the -dev package
  * Install /usr/lib/libpacketdump/*.so symlinks in the -dev package

 -- Matt Brown <mattb@debian.org>  Thu, 15 Feb 2007 23:13:05 +1300

libtrace3 (3.0.0-1) unstable; urgency=low

  * New upstream release. Now out of beta status.
  * Initial upload to Debian. (Closes: #394825)

 -- Matt Brown <mattb@debian.org>  Mon, 12 Feb 2007 19:44:08 +1300

libtrace3 (3.0.0~beta6-1) unstable; urgency=low

  * New upstream release
  * Renumber package with ~ so that the final release is bigger.

 -- Matt Brown <mattb@debian.org>  Thu, 26 Oct 2006 18:07:45 +1300
