## libtrace3 3.0.14

=== debian/changelog ===
libtrace3 (3.0.14-1) unstable; urgency=low

  * New upstream release
    - Incorporates fixes for all our local patches.
  * Add build-arch, build-indep targets for future proofing.
  * Update Standards-Version to 3.9.3 (no changes required).

 -- Matt Brown <mattb@debian.org>  Sat, 10 Mar 2012 18:52:56 +0000
