=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  autotools-dev, libpcap0.8-dev, zlib1g-dev, flex, bison, doxygen,
  libncurses5-dev, libbz2-dev
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://research.wand.net.nz/software/libtrace.php
